rem Ȃ̒n}̂ݍƂ1A̒n}̂ݍƂ2AƂ0
set TARGET_TYPE=1

set SOURCE_URI=http://download.geofabrik.de/asia/japan-latest.osm.pbf
set MAP_FILE_ORG=C:\map_data\japan.osm.pbf
set DIC_FILE=C:\kakasi\share\kakasi\SKK-JISYO.geo C:\kakasi\share\kakasi\SKK-JISYO.station
set SPLITTER=java -Xmx1300M -jar "C:\map_tool\splitter-r398\splitter.jar"
set MKGMAP=java -Xmx1300M -jar "C:\map_tool\mkgmap-r3282\mkgmap.jar"
set TMPFILE=tmp.dat
set PATH=%PATH%;C:gnuwin32\bin;C:\map_tool\7-Zip;C:\usr\local\kakasi\bin;C:\map_tool
set MKGMAPARGS=template2.args
set MAPID_PREFIX=6331

if "%1"=="" goto get_from_server

set MAP_FILE_ORG=%1
goto start_convert

:get_from_server
rem #Get osm file
wget --progress=dot:mega -O %MAP_FILE_ORG% %SOURCE_URI%

:start_convert

rem #Go to output directory
mkdir output
cd output

rem #Clean up old files
for %%i in (*.osm.pbf) do (
  del %%i
)
for %%i in (%MAPID_PREFIX%*.img) do (
  del %%i
)
if exist gmapsupp.img del gmapsupp.img

rem #Split file
%SPLITTER% --keep-complete=true --description="OSM Japan" --max-nodes=1000000 --search-limit=10000000 --mapid=%MAPID_PREFIX%0001 %MAP_FILE_ORG%

rem #Convert Kanji to Roman character
for %%i in (*.osm.pbf) do (
  osmconvert %%i | perl ..\rep_list_pre.pl | iconv -c -f UTF-8 -t SHIFT-JIS | kakasi -Ha -Ka -Ja -Ea -ka %DIC_FILE% | perl -pi.bak -e "s/\^/-/g" > %%i.roman
)

cat template.args | sed -e "s/\.osm\.pbf/\.osm\.pbf\.roman/g;" > %MKGMAPARGS%
copy /b ..\tmz.args+%MKGMAPARGS% japan.args /y


if "%TARGET_TYPE%" == "0" (
  %MKGMAP% -c japan.args ..\tmz.typ
  if exist gmapsupp_1.zip del gmapsupp_1.zip
  7z.exe a gmapsupp_1.zip gmapsupp.img osmmap_license.txt
  %MKGMAP% -c ..\tmz.args %MAPID_PREFIX%*.img ..\tmz.typ ..\contour\5327*.osm
  if exist gmapsupp_1cntr.zip del gmapsupp_1cntr.zip
  7z.exe a gmapsupp_1cntr.zip gmapsupp.img osmmap_license.txt
)

if "%TARGET_TYPE%" == "1" (
  %MKGMAP% -c japan.args ..\tmz.typ
  if exist gmapsupp_1.zip del gmapsupp_1.zip
  7z.exe a gmapsupp_1.zip gmapsupp.img osmmap_license.txt
)

if "%TARGET_TYPE%" == "2" (
  %MKGMAP% -c japan.args ..\tmz.typ ..\contour\5327*.osm
  if exist gmapsupp_1cntr.zip del gmapsupp_1cntr.zip
  7z.exe a gmapsupp_1cntr.zip gmapsupp.img osmmap_license.txt
)

pause
